Subject: Re: should Documentation/howto/setup-git-server-over-http.txt be marked obsolete?

From: Jakub Narebski <[email-masked]>
Date: Sat, 23 Oct 2010 00:24:50 -0700 (PDT)

Sitaram Chamarty <[email-masked]> writes:
> On Fri, Oct 22, 2010 at 8:36 PM, Jonathan Nieder <[email-masked]> wrote:
>> Sitaram Chamarty wrote:
>>
>>> I assumed that the new -- much more efficient (correct?) transport
>>> would make the older (dumber) transport obsolete, and I didn't realise
>>> it had any advantages over the new one.
>>
>> FWIW the old transport still has its place.  If your web host (e.g.,
>> an ISP) allows only static content (no CGI), then there is no choice.
>>
>> Not so relevant for gitolite but still relevant in the world.
> 
> Also I now realise the new transport requires Apache, so people with
> other web servers probably need it too.

Why do people think that "smart" HTTP transport requires Apache web
server?  If I understand it correctly provided git-http-backend is a
simple CGI script, and requires CGI-capable web server and git
installed on server.  Examples use Apache because probably that is
what author was familiar with.  I don't see the reason why it
shouldn't work e.g. with nginx or IIS...

-- 
Jakub Narebski
Poland
ShadeHawk on #git